Mailinglist Archive: yast-devel (50 mails)

< Previous Next >
Re: [yast-devel] Getting error: cannot load such file -- yast/rake
On 12/15/2015 02:59 AM, Ancor Gonzalez Sosa wrote:
On 12/15/2015 08:52 AM, Uzair Shamim wrote:
Hi,

I am getting into trying yast development and followed the setup
instructions at https://yastgithubio.readthedocs.org/en/latest/development/

I am running TW, updated to latest snapshot and have installed
yast2-devtools, yast2-testsuite rubygem-rspec rubygem-simplecov, and pattern
devel_yast.
I am attempting to run "rake run" in the root of the yast-storage directory
and I get the following error:

(in /home/user/Development/opensuse/yast-storage)
rake aborted!
cannot load such file -- yast/rake
/home/user/Development/opensuse/yast-storage/Rakefile:1:in `<top (required)>'
(See full trace by running task with --trace)

This file is part of the package ruby2.1-rubygem-yast-rake (or the
equivalent ruby2.2-xx one).

That solved it! Is there a reason that wasn't mentioned on the dev page?

Thanks,
Uzair Shamim

--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: yast-devel+owner@xxxxxxxxxxxx

< Previous Next >